std::chrono::time_point< _Clock, _Dur >(3)

NAME
std::chrono::time_point< _Clock, _Dur > -

SYNOPSIS

  Public Types
typedef _Clock clock
typedef _Dur duration
typedef duration::period period
typedef duration::rep rep

  Public Member Functions
constexpr time_point (const duration &__dur)
template<typename _Dur2 > constexpr time_point (const time_point< clock, _Dur2 > &__t)
time_point & operator+= (const duration &__dur)
time_point & operator-= (const duration &__dur)
constexpr duration time_since_epoch () const

  Static Public Member Functions
static constexpr time_point max ()
static constexpr time_point min ()

Detailed Description

  template<typename _Clock, typename _Dur = typename _Clock::duration>struct std::chrono::time_point< _Clock, _Dur >
time_point

Definition at line 66 of file chrono.

Author

Generated automatically by Doxygen for libstdc++ from the source code.